package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KomponenPemeriksaanRangeNilaiK
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KomponenPemeriksaanRangeNilaiK_M")
public class KomponenPemeriksaanRangeNilaiKVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectJenisKelaminFk")
	@NotNull(message="Object Jenis Kelamin Harus Diisi")
	@Caption(value="Object Jenis Kelamin")
	private JenisKelaminVO jenisKelamin;

	public void setJenisKelamin(JenisKelaminVO jenisKelamin) {
		this.jenisKelamin = jenisKelamin;
	}

	@Column(name = "KdJenisKelamin", nullable = false )
	public JenisKelaminVO getJenisKelamin(){
		return this.jenisKelamin;
	}

	@Column(name = "ObjectJenisKelaminFk", insertable=false,updatable=false)
	private Integer jenisKelaminId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelompokUmurFk")
	@NotNull(message="Object Kelompok Umur Harus Diisi")
	@Caption(value="Object Kelompok Umur")
	private KelompokUmurVO kelompokUmur;

	public void setKelompokUmur(KelompokUmurVO kelompokUmur) {
		this.kelompokUmur = kelompokUmur;
	}

	@Column(name = "KdKelompokUmur", nullable = false )
	public KelompokUmurVO getKelompokUmur(){
		return this.kelompokUmur;
	}

	@Column(name = "ObjectKelompokUmurFk", insertable=false,updatable=false)
	private Integer kelompokUmurId;

	@ManyToOne
	@JoinColumn(name = "ObjectKomponenPeriksaFk")
	@NotNull(message="Object Komponen Periksa Harus Diisi")
	@Caption(value="Object Komponen Periksa")
	private KomponenPemeriksaanVO komponenPeriksa;

	public void setKomponenPeriksa(KomponenPemeriksaanVO komponenPeriksa) {
		this.komponenPeriksa = komponenPeriksa;
	}

	@Column(name = "KdKomponenPeriksa", nullable = false , length = 3)
	public KomponenPemeriksaanVO getKomponenPeriksa(){
		return this.komponenPeriksa;
	}

	@Column(name = "ObjectKomponenPeriksaFk", insertable=false,updatable=false)
	private Integer komponenPeriksaId;

	@ManyToOne
	@JoinColumn(name = "ObjectMetodePeriksaFk")
	@NotNull(message="Object Metode Periksa Harus Diisi")
	@Caption(value="Object Metode Periksa")
	private MetodePemeriksaanPenunjangVO metodePeriksa;

	public void setMetodePeriksa(MetodePemeriksaanPenunjangVO metodePeriksa) {
		this.metodePeriksa = metodePeriksa;
	}

	@Column(name = "KdMetodePeriksa", nullable = false )
	public MetodePemeriksaanPenunjangVO getMetodePeriksa(){
		return this.metodePeriksa;
	}

	@Column(name = "ObjectMetodePeriksaFk", insertable=false,updatable=false)
	private Integer metodePeriksaId;

	@Caption(value="Keterangan RangeVO Nilai")
	private String keteranganRangeNilai;

	public void setKeteranganRangeNilai(String keteranganRangeNilai) {
		this.keteranganRangeNilai = keteranganRangeNilai;
	}

	@Column(name = "KeteranganRangeNilai", nullable = false , length = 150)
	public String getKeteranganRangeNilai(){
		return this.keteranganRangeNilai;
	}

	@Caption(value="No Urut")
	private Byte noUrut;

	public void setNoUrut(Byte noUrut) {
		this.noUrut = noUrut;
	}

	@Column(name = "NoUrut", nullable = false )
	public Byte getNoUrut(){
		return this.noUrut;
	}


}

